%define _version	%(echo %{version} | tr -d '.')

%define major   %(cut -d. -f1 <<< %{version})
%define libname %mklibname scintilla %{major}
%define develname %mklibname scintilla -d
%define liblexname %mklibname lexilla %{major}
%define devellexname %mklibname lexilla -d

Name:		scite
Version:	5.3.0
Release:	%mkrel 1
Summary:	SCIntilla based GTK+3 text editor
Group:		Editors
License:	MIT
Url:		http://www.scintilla.org/SciTE.html
Source0:	https://download.sourceforge.net/scintilla/%{name}%{_version}.tgz
Patch0:		scite-5.2.1-mga-desktop-file.patch
Patch1:		scite-skip-rpath.patch
Patch2:		scite-soname.patch
BuildRequires:	pkgconfig(gtk+-3.0)

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%prep
%setup -q -c
%apply_patches

%build
%make_build GTK3=1 SOMAJOR=%{major} -C scintilla/gtk shared
%make_build GTK3=1 SOMAJOR=%{major} -C lexilla/src shared
%make_build libdir=%{_libdir} GTK3=1 SOMAJOR=%{major} -C scite/gtk

%install
%make_install libdir=%{_libdir} GTK3=1 SOMAJOR=%{major} -C scite/gtk

ln -s SciTE %{buildroot}%{_bindir}/scite

# move and rename icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
mv %{buildroot}%{_datadir}/pixmaps/Sci48M.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# include files
for d in scintilla lexilla; do
  mkdir -p %{buildroot}%{_includedir}/$d
  install -pm644 $d/include/*.h %{buildroot}%{_includedir}/$d/
done

# fix category in desktop file
desktop-file-edit --add-category="X-MandrivaLinux-MoreApplications-Editor;" $RPM_BUILD_ROOT/%{_datadir}/applications/SciTE.desktop

rm -rf %buildroot/%{_includedir}
rm -rf %buildroot/%{_libdir}/*.so

%files
%{_bindir}/SciTE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/SciTE.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_libdir}/libscintilla.so.%{major}
%{_libdir}/liblexilla.so.%{major}


%changelog
* Sun Sep 11 2022 tex - 530-1pclos2022
- new version
